| Home | Libraries | People | FAQ | More

#### closing_iterator

Iterator which iterates through a range, but adds first element at end of the range.

###### Synopsis

    template<typename Range>
    struct closing_iterator
          : public boost::iterator_facade< closing_iterator< Range >, boost::range_value< Range >::type const, boost::random_access_traversal_tag >
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename Range | range on which this class is based on

###### Constructor(s)

Function | Description | Parameters
--- | --- | ---

    closing_iterator(Range & range)

Constructor including the range it is based on.

Range &: range:

    closing_iterator(Range & range, bool )

Constructor to indicate the end of a range.

Range &: range:

bool: :

    closing_iterator()

Default constructor.

###### Header

`#include <boost/geometry/iterators/closing_iterator.hpp>`